# CakeProducts plugin for CakePHP

## Installation

You can install this plugin into your CakePHP application using [composer](https://getcomposer.org).

The recommended way to install composer packages is:

```
composer require hi-powered-dev/cake-products
```

## Database Structure

Products belong to ProductCategories, ProductCategories is hierarchical and belongs to ProductCatalogs.

ProductCategoryAttributes belongs to ProductCategories and attributes are inherited from their parents up the category tree.

ProductCategoryAttributes can have many ProductCategoryAttributeOptions (constrained attributes)

You can either load the plugin with routes enabled to use default controller actions, or just use/extend the database structure and use your own controllers