<?php
namespace CakeProducts\Model\Enum;

use Cake\Database\Type\EnumLabelInterface;
use Tools\Model\Enum\EnumOptionsTrait;

enum ProductCategoryAttributeTypeId: int implements EnumLabelInterface
{
    use EnumOptionsTrait;

    case Constrained = 1;
    case Text = 2;
    case Integer = 3;

    public function label(): string
    {
        return match($this) {
            self::Constrained => 'Constrained',
            self::Text => 'Text',
            self::Integer => 'Integer'
        };
    }
}
