<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $productCatalog
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('List Product Catalogs'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="productCatalogs form content">
            <?= $this->Form->create($productCatalog) ?>
            <fieldset>
                <legend><?= __('Add Product Catalog') ?></legend>
                <?php
                    echo $this->Form->control('name');
                    echo $this->Form->control('catalog_description');
                    echo $this->Form->control('enabled');
                ?>
            </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
