<?php
declare(strict_types=1);

namespace CakeProducts\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ProductCategoriesFixture
 */
class ProductCategoriesFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => 1,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'internal_id' => 'db4b4273-eddc-46d4-93c8-45cf7c6e058e',
                'name' => 'Engine',
                'category_description' => '',
                'parent_id' => null,
                'lft' => 1,
                'rght' => 4,
                'enabled' => true,
            ],
            [
                'id' => 2,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'internal_id' => '3c2377c5-b97c-4bc9-9660-8f77b4893d8b',
                'name' => 'Engine Internals',
                'category_description' => '',
                'parent_id' => 1,
                'lft' => 2,
                'rght' => 3,
                'enabled' => true,
            ],
            [
                'id' => 3,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'internal_id' => 'fbee6709-396f-4bb4-b60b-e125b0bc4e83',
                'name' => 'Electrical',
                'category_description' => '',
                'parent_id' => null,
                'lft' => 5,
                'rght' => 8,
                'enabled' => true,
            ],
            [
                'id' => 4,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'internal_id' => '6d223283-361b-4f9f-a7f1-c97aa0ca4c23',
                'name' => 'Wiring',
                'category_description' => '',
                'parent_id' => 3,
                'lft' => 6,
                'rght' => 7,
                'enabled' => true,
            ],
            [
                'id' => 5,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'internal_id' => 'c447b6f4-0fb1-4d59-ba45-5613829a725a',
                'name' => 'Suspension',
                'category_description' => '',
                'parent_id' => null,
                'lft' => 9,
                'rght' => 12,
                'enabled' => true,
            ],
            [
                'id' => 6,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'internal_id' => '1e749d3b-aee0-48a5-8d6c-8cf2b83e9b6e',
                'name' => 'Coilovers',
                'category_description' => '',
                'parent_id' => 5,
                'lft' => 10,
                'rght' => 11,
                'enabled' => true,
            ],
            [
                'id' => 7,
                'product_catalog_id' => 'f56f3412-ed23-490b-be6e-016208c415d2',
                'internal_id' => '8c89a3ca-d56f-46bf-a738-7e85b3342b2a',
                'name' => 'Support',
                'category_description' => '',
                'parent_id' => null,
                'lft' => 1,
                'rght' => 2,
                'enabled' => true,
            ],
        ];
        parent::init();
    }
}
