<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $productCategoryAttribute
 * @var \Cake\Collection\CollectionInterface|string[] $productCategories
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('List Product Category Attributes'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="productCategoryAttributes form content">
            <?= $this->Form->create($productCategoryAttribute) ?>
            <fieldset>
                <legend><?= __('Add Product Category Attribute') ?></legend>
                <?= $this->element('ProductCategoryAttributes/form'); ?>
            </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
<?= $this->Html->script('CakeProducts.product_category_attribute_options.js'); ?>
