<?php
declare(strict_types=1);

namespace CakeProducts\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * ExternalProductCatalogsFixture
 */
class ExternalProductCatalogsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [
                'id' => 1,
                'product_catalog_id' => '115153f3-2f59-4234-8ff8-e1b205761428',
                'base_url' => 'http://localhost:8766',
                'api_url' => 'http://localhost:8766/api',
                'created' => '2024-11-22 09:39:37',
                'deleted' => '2024-11-22 09:39:37',
                'enabled' => 1,
            ],
        ];
        parent::init();
    }
}
